---
name: default
kind: pipeline
type: docker

steps:
  - name: setup
    image: composer
    volumes:
      - name: composer
        path: /composer
    environment:
      COMPOSER_HOME: /composer
    commands:
      - composer install --no-ansi --no-interaction
      - ./bin/setup

  - name: code styling
    image: php
    commands:
      - ./vendor/bin/php-cs-fixer fix --dry-run src
  - name: static analysis
    image: php
    commands:
      - ./vendor/bin/phpstan analyse -l max -a config/autoload_with_route.php src
  - name: testing
    image: php
    commands:
      - ./vendor/bin/phpunit

volumes:
  - name: composer
    host:
      path: composer
---
kind: signature
hmac: 9dee19d61430e7e305581f66554fbefc139db4b0e7bc9eda1c7fdcd57a6c5ddc